# Generated from data_href_highlight-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name data_href_highlight

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: This Gem adds a quick command to highlight data-href
License: MIT
URL: https://github.com/xDarkicex/Data_Href_gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
Highlight data-hrefs, making table rows clickable.. must set data-href in your
table for this to function properly, example:   <tbody>
<% @employees.each do |employee| %>
<tr data-href="<%= employee_url(employee) %>">
Please visit github for more detailed instructions,
https://github.com/xDarkicex/Data_Href_gem
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/data_href_highlight.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.5-1
- Initial package
